color 1
rel 2 3
mark 1 @
mark 2 y1.299#1
mark 3 y-1.299#1
mark 10 y+2.5#1
mark 14 y4.27#10
mark 15 y1.7#14
mark 16 x-.3y0.3#14
mark 17 x.45y0.25#14
!
mark 20 y6.4#10
mark 11 y.7x-.2#20
mark 12 x.45y0.1#20
mark 13 y1.45#20
!
mark 33 x-.4y-0.5#3
mark 32 x-.4#2
mark 34 x-.4y1.2#3
loop 0.2
gluon #2 #3
angle 90
rel #10
label \gd\\uAB\\d \r[-g\\u\ga\gb\\d+(1-\gl)
rel #14
draw #15
label \r]
rel #16
label p\u\gap\u\gb
rel #17
label p\u2+i\ge
rel #11 
label i
rel #12
label p\u2+i\ge
rel #20
draw #13
expand 0.8
rel #33
label A,\ga
rel #32
label B,\gb
rel #34
label p
expand 1
! 
!  ghost propagator
mark 1 x+1.7#1
mark 2 y1.299#1
mark 3 y-1.299#1
mark 9 y+2.5#1
mark 10 y1#9
mark 11 y.9x-.2#10
mark 12 x.45y0.1#10
mark 13 y1.9#10
mark 14 y1.9#10
mark 15 y1.2#14
mark 16 x-.3y0.1#14
mark 17 x.45y0.3#14
mark 33 x-.4y-0.5#3
mark 32 x-.4#2
mark 34 x-.4y1.2#3
ghost #3 #2
angle 90
rel #9
label \gd\\uAB\\d
rel #11 
label i
rel #12
label (p\u2+i\ge)
rel #10
draw #13
expand 0.8
rel #33
label A
rel #32
label B
rel #34
label p
expand 1
! 
!
! 
!  fermion propagator
mark 1 x+1.7#1
mark 2 y1.299#1
mark 3 y-1.299#1
mark 9 y2.5#1
mark 10 y1#9
mark 11 y1.2x-.2#10
mark 12 y.1x.35#10
mark 13 y2.7#10
mark 33 x-.4y-0.5#3
mark 32 x-.4#2
mark 34 x-.4y1.2#3
fermion #3 #2
angle 90
rel #9
label \gd\\uab\\d
rel #11 
label i
rel #12
label (p-m+i\ge)\\dji\\u
rel #12
label  /
rel #10
draw #13
expand 0.8
rel #33
!  label a,i
rel #32
label b,j
rel #34
label p
expand 1
! 
!
! 3 gluon vertex
mark 1 x2.5y-0.23#1
mark 2 x-1.5#1
mark 3 x+0.75y1.299#1
mark 4 x+0.75y-1.299#1
mark 10 y+2.7x-.3#1
mark 11 y+8.7#10
mark 13 x0.9y1.3#10
mark 22 x0.25y0.25#2
mark 23 x0.33y-0.2#3
mark 24 x0.33y-0.2#4
mark 32 x0.8y-0.4#2
mark 33 x-0.8y-0.8#3
mark 34 x-0.25y0.8#4
loop 0.2
gluon #1 #2
loop 0.2
gluon #1 #3
loop 0.2
gluon #1 #4
rel #1
vertex
rel #10 
angle 90
label -g f\\uABC\\d[(p-q)\u\ggg\\u\ga\gb\\d+(q-r)\u\gag\\u\gb\gg\\d
label +(r-p)\u\gbg\\u\gg\ga\\d]
rel #13
expand 0.8
label (all momenta incoming, p+q+r = 0)
rel #22
label B,\gb
rel #23
label C,\gg
rel #24
label A,\ga
expand 0.8
rel #32
label q
rel #33
! label r
rel #34
label p
expand 1
! 
! 4 gluon vertex
mark 1 x+3.42y+0.23#1
mark 2 x-1.06066017y-1.06066017#1
mark 3 x-1.06066017y1.06066017#1
mark 4 x+1.06066017y1.06066017#1
mark 5 x+1.06066017y-1.06066017#1
mark 11 y+2.5x-.8#1
mark 10 y+2.5#1
mark 12 y+2.5x.8#1
mark 22 y-0.7#2
mark 23 y.15#3
mark 24 y.15#4
mark 25 y-0.7#5
loop 0.2
gluon #1 #2
loop 0.2
gluon #1 #3
loop 0.2
gluon #1 #4
loop 0.2
gluon #1 #5
rel #1
vertex
expand 0.8
rel #22
label A,\ga
rel #23
label B,\gb
rel #24
label D,\gd
rel #25
label C,\gg
rel #11
expand 1
label -ig\u2 f\\uXAC\\df\\uXBD\\d [g\\u\ga\gb\\dg\\u\gg\gd\\d
label -g\\u\ga\gd\\dg\\u\gb\gg\\d]
rel #10
label -ig\u2 f\\uXAD\\df\\uXBC\\d [g\\u\ga\gb\\dg\\u\gg\gd\\d
label -g\\u\ga\gg\\dg\\u\gb\gd\\d]
rel #12
label -ig\u2 f\\uXAB\\df\\uXCD\\d [g\\u\ga\gg\\dg\\u\gb\gd\\d
label -g\\u\ga\gd\\dg\\u\gb\gg\\d]
! 
! gluon ghost ghost
mark 1 x+3.42y-0.23#1
mark 2 x-1.5#1
mark 3 x+0.75y1.299#1
mark 4 x+0.75y-1.299#1
mark 10 y+2.5#1
mark 22 x0.25y0.25#2
mark 23 x0.33y-0.2#3
mark 24 x0.33y-0.2#4
mark 33 x-0.8y-0.8#3
gluon #1 #2
ghost #1 #3
ghost #4 #1
rel #1
vertex
angle 90
rel #10
label g f\\uABC\\dq\u\ga
expand 0.8
rel #22
label A,\ga
rel #23
label C
rel #24
label B
rel #33
label q
expand 1
! 
! 
mark 1 x+3.42#1
mark 2 x-1.5#1
mark 3 x+0.75y1.299#1
mark 4 x+0.75y-1.299#1
mark 10 y+2.5#1
mark 22 x0.25y0.25#2
mark 23 x0.33y-0.2#3
mark 24 x0.33y-0.2#4
gluon #1 #2
fermion #1 #3
fermion #4 #1 
rel #1
vertex
angle 90
rel #10
label -ig (t\uA)\\dcb\\u (\gg\u\ga)\\dji\\u
expand 0.8
rel #22
label A,\ga
rel #23
label c,j
rel #24
label b,i
expand 1
